package CheckReleaseEditor::Util;

use strict;
use warnings;

use base 'Exporter';
our @EXPORT_OK = qw( list_html_tmpl );

sub list_html_tmpl {
	return q{<mt:if name="rev_has_edit_access">
	<mt:unless name="_status_Draft">
	<span><a style="text-decoration: none;" class="icon-left icon-create" href="<$mt:var name="script_url"$>?__mode=view&amp;id=<mt:var name="id" /><mt:if name="original_blog_id">&amp;blog_id=<$mt:var name="original_blog_id"$></mt:if>&amp;_type=<mt:if name="object_type" eq="entry">entry<mt:else>page</mt:if>&amp;r=0&amp;crr=1"><img src="<$mt:var name="static_uri"$>images/spacer.gif" alt="" width="9" height="9" /></a></span>
	</mt:unless>
</mt:if>
<mt:unless name="is_latest">
	<mt:setvarblock name="latest_revision">
		<mt:if name="rev_check_status_return">
			<img src="<$mt:var name="static_uri"$>images/status_icons/share.gif" width="9" height="9" alt="" />&nbsp;(<$mt:var name="rev_number" default="0"$>)
		</mt:if>
		<mt:if name="rev_check_status_subscribed">
			<img src="<$mt:var name="static_uri"$>images/status_icons/warning.gif" width="9" height="9" alt="" />&nbsp;(<$mt:var name="rev_number" default="0"$>)
		</mt:if>
		<mt:if name="rev_status_draft">
			<img src="<$mt:var name="static_uri"$>images/status_icons/draft.gif" alt="" width="9" height="9" alt="" />&nbsp;(<$mt:var name="rev_number" default="0"$>)
		</mt:if>
		<mt:if name="rev_status_publish">
			<img src="<$mt:var name="static_uri"$>images/status_icons/success.gif" alt="" width="9" height="9" alt="" />&nbsp;(<$mt:var name="rev_number" default="0"$>)
		</mt:if>
		<mt:if name="rev_status_future">
			<img src="<$mt:var name="static_uri"$>images/status_icons/future.gif" alt="" width="9" height="9" alt="" />&nbsp;(<$mt:var name="rev_number" default="0"$>)
		</mt:if>
		<mt:if name="rev_status_review">
			<img src="<$mt:var name="static_uri"$>images/status_icons/review.gif" alt="" width="9" height="9" alt="" />&nbsp;(<$mt:var name="rev_number" default="0"$>)
		</mt:if>
		<mt:if name="rev_status_unpublish">
			<img src="<$mt:var name="static_uri"$>images/status_icons/unpublished.gif" alt="" width="9" height="9" alt="" />&nbsp;(<$mt:var name="rev_number" default="0"$>)
		</mt:if>
	</mt:setvarblock>
	<mt:if name="rev_has_edit_access">
		<a style="text-decoration: none; font-size: 90%;" href="<$mt:var name="script_url"$>?__mode=view&amp;id=<mt:var name="id" /><mt:if name="original_blog_id">&amp;blog_id=<$mt:var name="original_blog_id"$></mt:if>&amp;_type=<mt:if name="object_type" eq="entry">entry<mt:else>page</mt:if>&amp;r=<$mt:var name="rev_number" default="0"$>&amp;crr=1">
			<mt:var name="latest_revision" />
		</a>
	<mt:else>
		<mt:var name="latest_revision" />
	</mt:if>
</mt:unless>
};
}

1;
