package CheckReleaseWriter::L10N::ja;

use strict;
use warnings;

use base 'CheckReleaseWriter::L10N';
use vars qw( %Lexicon );

## The following is the translation table.

%Lexicon = (
	'Support your checking entries.' => '記事の公開前確認作業を支援します。',
	'Permission of certificater' => '承認可能な権限',
	'Select permissions which certificaters must has. This is reflected to notifications and certificaters which are selectable as a certificater.'
		=> 'どの権限を持つユーザーを承認者とするか選択してください。記事投稿の通知や承認者の選択画面に反映されます。<strong>システム・ブログどちらの設定も未選択の場合は投稿通知が行われません。</strong>',
	"This setting superimpose system setting." => 'この設定はシステムのプラグイン設定より優先されます。',
	"Check 'Selectable', when You want to that writers can select a certificater."
		=> "投稿者が承認者を選択できるようにする場合、「選択可能」をチェックしてください。",
	'Selectable or Unselectable' => '承認者の選択',
	'Selectable' => '選択させる',
	'Unselectable' => '選択させない',
	'administer' => 'システム管理者',
	'administer_website' => 'ウェブサイト管理者',
	'administer_blog' => 'ブログ管理者',
	'Lock entry or not' => '承認申請中記事の編集',
	'Select which you want to lock entries which were written by writers, and are subscribing to be approved by certificater.'
		=> '承認申請中の記事をライターが編集できるようにするかどうか設定することができます。',
	'Lock' => '編集できる',
	'Unlock' => '編集できない',
	'Link type of notifed emails' => '通知メールのリンク',
	'Select a edit link of a preview link which you want to notify to administrators.' => '管理者に通知するメールに記載するURLの種類を選択してください。',
	'Edit link' => '編集画面のリンク',
	'Preview link' => 'プレビュー画面のリンク',
	'Select Checkers' => '承認依頼者の選択',
	'You can select your checker.' => '次の中から承認を依頼するユーザーを選択してください。',
	'Required check' => '承認申請の必須化',
	"Select 'Required', if check is required. This setting is available in 'Selectable'."
		=> '「承認依頼の選択」の設定が"選択させる"の場合、承認を必須とする場合は"必須"を選択してください。',
	'Required' => '必須にする',
	'Not required' => '必須にしない',
	"Can't find checkers." => '承認者の設定に該当するユーザーがみつかりません',
	'Cross check' => '承認者同士の確認',
	'Select which checkers are checked each other.' => '承認者が投稿した際に他の承認者へ投稿通知を行う場合は「通知する」を選択してください。',
	'Not notify' => '通知しない',
	'Notify' => '通知する',
);

1;
